Summary:	monitrc file for monitoring Apache 1.x web server
Summary(pl.UTF-8):	Plik monitrc do monitorowania serwera WWW Apache 1.x
Name:		monit-rc-apache1
Version:	1.2
Release:	2
License:	GPL
Group:		Applications/System
Source0:	apache1.monitrc
Source1:	apache1.cron
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,postun):	monit
Requires:	apache1-base >= 1.3.39-2
Requires:	monit
Suggests:	crondaemon
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monitrc file for monitoring Apache 1.x web server.

%description -l pl.UTF-8
Plik monitrc do monitorowania serwera WWW Apache 1.x.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/monit,/etc/cron.d}

cp -p %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/monit/apache.monitrc
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q monit restart

%postun
%service -q monit restart

%triggerpostun -- apache1 < 1.3.34-5.9
# rename monitrc to be service name like other files
if [ -f /etc/monit/apache1.monitrc.rpmsave ]; then
	mv -f /etc/monit/apache.monitrc{,.rpmnew}
	mv -f /etc/monit/{apache1.monitrc.rpmsave,apache.monitrc}
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/monit/*.monitrc
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%changelog
* Mon Sep 24 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/monit-rc-apache1.git;a=log;h=master

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 05154bb
- rebuild with fixed rpm macros
- release 2 (by relup.sh)

* Mon Sep 24 2012 Elan Ruusamäe <glen@delfi.ee> 6fdf79c
- add sample cron job to add apache back to monitoring state in case it forgotten

* Mon Sep 24 2012 Elan Ruusamäe <glen@delfi.ee> 47af444
sync formatting changes from monit-rc-apache

* Fri Jun 05 2009 Elan Ruusamäe <glen@pld-linux.org> 52db6f5
- apache1 typo; rel 2

* Sat Dec 27 2008 Tomasz Pala <gotar@pld-linux.org> 002f8a9
- added %config and %verify flags

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> e6f9037
- separated from apache1 to avoid its monit dep

* Mon Aug 30 2004 Paweł Gołaszewski <blues@pld-linux.org> 2880d24
- monit file for apache1, not tested...

